Package org.drinkless.tdlib

# Class TdApi.GetChatInviteLinkMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatInviteLinkMembers>
org.drinkless.tdlib.TdApi.GetChatInviteLinkMembers

Enclosing class:
  `TdApi`

public static class TdApi.GetChatInviteLinkMembers extends TdApi.Function<TdApi.ChatInviteLinkMembers>
Returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  Invite link for which to return chat members.
  `int`
  `limit`
  The maximum number of chat members to return; up to 100.
  `TdApi.ChatInviteLinkMember`
  `offsetMember`
  A chat member from which to return next chat members; pass null to get results from the beginning.
  `boolean`
  `onlyWithExpiredSubscription`
  Pass true if the link is a subscription link and only members with expired subscription must be returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatInviteLinkMembers()`
  Default constructor for a function, which returns chat members joined a chat via an invite link.
  `GetChatInviteLinkMembers(long chatId, String inviteLink, boolean onlyWithExpiredSubscription, TdApi.ChatInviteLinkMember offsetMember, int limit)`
  Creates a function, which returns chat members joined a chat via an invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### inviteLink

    public String inviteLink
    Invite link for which to return chat members.

  - ### onlyWithExpiredSubscription

    public boolean onlyWithExpiredSubscription
    Pass true if the link is a subscription link and only members with expired subscription must be returned.

  - ### offsetMember

    public TdApi.ChatInviteLinkMember offsetMember
    A chat member from which to return next chat members; pass null to get results from the beginning.

  - ### limit

    public int limit
    The maximum number of chat members to return; up to 100.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatInviteLinkMembers

    public GetChatInviteLinkMembers()
    Default constructor for a function, which returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

    Returns `ChatInviteLinkMembers`

  - ### GetChatInviteLinkMembers

    public GetChatInviteLinkMembers(long chatId, String inviteLink, boolean onlyWithExpiredSubscription, TdApi.ChatInviteLinkMember offsetMember, int limit)
    Creates a function, which returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

    Returns `ChatInviteLinkMembers`

    Parameters:
      `chatId` - Chat identifier.
      `inviteLink` - Invite link for which to return chat members.
      `onlyWithExpiredSubscription` - Pass true if the link is a subscription link and only members with expired subscription must be returned.
      `offsetMember` - A chat member from which to return next chat members; pass null to get results from the beginning.
      `limit` - The maximum number of chat members to return; up to 100.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatInviteLinkMembers>`
    Returns:
      this.CONSTRUCTOR